#ifndef __SCANNER_H__
#define __SCANNER_H__


#include <kdialog.h>


#include <qstringlist.h>


class KProgress;
class QLabel;
class QPushButton;


class Scanner : public KDialog
{
  Q_OBJECT

public:

  Scanner(QWidget *parent=0, const char *name=0);
  ~Scanner();


private slots:

  void startScan();
  void scanOneFile();


private:

  KProgress   *_progress;
  QLabel      *_appIcon, *_appName, *_summary;
  QPushButton *_scan, *_cancel1;
  QStringList _templates;
  int         found, count;

};


#endif
